Skip to content
Permalink
Browse files
Doxygen doesn't like deprecated enums
  • Loading branch information
nyalldawson committed Jul 12, 2021
1 parent 64b3b35 commit c68b67eb53b6b15f59a22d761f4f13191142f454
Showing with 1 addition and 3 deletions.
  1. +1 −3 src/gui/qgssublayersdialog.h
@@ -37,7 +37,7 @@ class GUI_EXPORT QgsSublayersDialog : public QDialog, private Ui::QgsSublayersDi
* Prompt behavior of the QgsSublayersDialog
* \deprecated Use Qgis::SublayerPromptMode instead
*/
enum Q_DECL_DEPRECATED PromptMode
enum PromptMode
{

/**
@@ -60,9 +60,7 @@ class GUI_EXPORT QgsSublayersDialog : public QDialog, private Ui::QgsSublayersDi
*/
PromptLoadAll
};
Q_NOWARN_DEPRECATED_PUSH
Q_ENUM( PromptMode )
Q_NOWARN_DEPRECATED_POP

enum ProviderType
{

0 comments on commit c68b67e

Please sign in to comment.